# ifndef VerticalController_h
# define VerticalController_h
# include "mbed.h"
# include "Parameters.h"
// Vertical controller class
class VerticalController
{
    public:
        // Class constructor
        VerticalController () ;
        // Control total thrust force given vertical position reference and estimation
        void control ( float z_r , float z, float w);
        // Thrust force (N)
        float f_t;
    private:
        // Last vertical position (m) error
        float z_e_last ;
        float kp, kd;
};
# endif